Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.actions
Class DocumentPublicationAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.actions.DocumentPublicationAction

public class DocumentPublicationAction
extends java.lang.Object

Id: DocumentPublicationAction.java,v 1.0 27 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: DocumentPublicationAction Original Author: Yohan Colmant Action for the document publication

Field Summary
`protected static Log` | `log` Logger object

Constructor Summary
`DocumentPublicationAction()`

Method Summary
`static java.lang.StringBuffer` | `publish(org.jasig.portal.ChannelRuntimeData runtimeData, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties, BufferAction buffer, java.lang.String currentSortType)` Generate the XML String and publish the document
`static java.lang.StringBuffer` | `renderXmlConfirmPublish(org.jasig.portal.ChannelRuntimeData runtimeData, BufferAction buffer, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties)` Generate the XML when we ask a publish confirmation
`private static java.lang.StringBuffer` | `renderXmlConfirmPublishNewDocument(BufferAction buffer, Space currentSpace, DirectoryProperties directoryProperties)` Generate the XML when we ask a publish confirmation of a new document
`private static java.lang.StringBuffer` | `renderXmlConfirmPublishOldDocument(java.lang.String[] files, java.lang.String userPortalLogin, Space currentSpace)` Generate the XML when we ask a publish confirmation of an existing document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

Constructor Detail

### DocumentPublicationAction

    public DocumentPublicationAction()

Method Detail

### renderXmlConfirmPublish

    public static java.lang.StringBuffer renderXmlConfirmPublish(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                                 BufferAction buffer,
                                                                 java.lang.StringBuffer stylesheet,
                                                                 java.util.ArrayList spaces,
                                                                 java.util.ArrayList metadataToSet,
                                                                 java.lang.String userPortalLogin,
                                                                 java.util.Vector userGroups,
                                                                 Space currentSpace,
                                                                 DirectoryProperties directoryProperties)
                                                          throws ChannelException

  Generate the XML when we ask a publish confirmation

  Parameters:
    `runtimeData` - the channel runtimedata object
    `buffer` - the buffer used for the clipboard
    `stylesheet` - the channel stylesheet we are going to use
    `spaces` - the spaces list
    `metadataToSet` - the metatada list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

### renderXmlConfirmPublishNewDocument

    private static java.lang.StringBuffer renderXmlConfirmPublishNewDocument(BufferAction buffer,
                                                                             Space currentSpace,
                                                                             DirectoryProperties directoryProperties)
                                                                      throws ChannelException

  Generate the XML when we ask a publish confirmation of a new document

  Parameters:
    `buffer` - the buffer used for the clipboard
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

### renderXmlConfirmPublishOldDocument

    private static java.lang.StringBuffer renderXmlConfirmPublishOldDocument(java.lang.String[] files,
                                                                             java.lang.String userPortalLogin,
                                                                             Space currentSpace)
                                                                      throws ChannelException

  Generate the XML when we ask a publish confirmation of an existing document

  Parameters:
    `files` - the files we want to submit again
    `userPortalLogin` - the user portal login
    `currentSpace` - the current space
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

### publish

    public static java.lang.StringBuffer publish(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                 java.lang.StringBuffer stylesheet,
                                                 java.util.ArrayList spaces,
                                                 java.util.ArrayList metadataToSet,
                                                 java.lang.String userPortalLogin,
                                                 java.util.Vector userGroups,
                                                 Space currentSpace,
                                                 DirectoryProperties directoryProperties,
                                                 BufferAction buffer,
                                                 java.lang.String currentSortType)
                                          throws ChannelException

  Generate the XML String and publish the document

  Parameters:
    `runtimeData` - the runtime data channel object
    `stylesheet` - the stylesheet we are about to use
    `spaces` - the default spaces
    `metadataToSet` - the metadata list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
    `buffer` - the buffer used for example for the clipboard
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD